commit:     657cf57bcf1ae6e3640d1d225b87ceeebf234814
Author:     Ilya Tumaykin <itumaykin <AT> gmail <DOT> com>
AuthorDate: Mon Jun 27 22:03:47 2016 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Jun 28 13:31:25 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=657cf57b

app-shells/mpv-bash-completion: verbump to 3.0

Upstream has rewritten generator script in Lua.

Closes: https://github.com/gentoo/gentoo/pull/1775
Package-Manager: portage-2.3.0

Signed-off-by: Patrice Clement <monsieurp <AT> gentoo.org>

 app-shells/mpv-bash-completion/Manifest            |  1 +
 app-shells/mpv-bash-completion/metadata.xml        |  3 ++
 .../mpv-bash-completion-3.0.ebuild                 | 40 ++++++++++++++++++++++
 3 files changed, 44 insertions(+)

diff --git a/app-shells/mpv-bash-completion/Manifest 
b/app-shells/mpv-bash-completion/Manifest
index 7e1ac6a..d592350 100644
--- a/app-shells/mpv-bash-completion/Manifest
+++ b/app-shells/mpv-bash-completion/Manifest
@@ -1 +1,2 @@
 DIST mpv-bash-completion-0.17.tar.gz 15033 SHA256 
a4c3be027ec52fef684a545a43c05f32cf512da93ae4a569d273e6e182b90ab1 SHA512 
851a9f2b5e54f176fc7519a5fceace2b3281bef4062a48e108f17b83ccbd53e7b7545969be9cbccd3f093ba9ee65bd6736650f1b4d88997808a8b1df40d769eb
 WHIRLPOOL 
ba077f686d2e9ba4e819cf30f17cdca5b98b321e6c39b72a3bd7c1f5269da3d20abe7f610838a51b941fdba8c6636fc3eaae81f07fcd08f8f61f6262d2d0fab5
+DIST mpv-bash-completion-3.0.tar.gz 16276 SHA256 
15d1aebcd095c674fb4d9ad408280e4b30bfd6ab307af119f6774f8f9894176a SHA512 
dde685909911e43f5d3d9a28ff8030e7377deabe372f0b2940d9200eae10a09eaf34c6ce0d31e896bd18e2a8d71eeb03405e9063c82fc7d608289ae979c54655
 WHIRLPOOL 
bee90f487678caf61541ac7a80bd6ca473330921d9dea6857674edcd555a964c71d6d575d63d4015e707e6a66ddfe9982b4cb110fe8eaec5f0635aeae5923cc1

diff --git a/app-shells/mpv-bash-completion/metadata.xml 
b/app-shells/mpv-bash-completion/metadata.xml
index 4d854b6..8e5e1e6 100644
--- a/app-shells/mpv-bash-completion/metadata.xml
+++ b/app-shells/mpv-bash-completion/metadata.xml
@@ -9,6 +9,9 @@
                <email>[email protected]</email>
                <name>Proxy Maintainers</name>
        </maintainer>
+       <use>
+               <flag name="luajit">Use <pkg>dev-lang/luajit</pkg> instead of 
<pkg>dev-lang/lua</pkg></flag>
+       </use>
        <upstream>
                <remote-id type="github">2ion/mpv-bash-completion</remote-id>
        </upstream>

diff --git a/app-shells/mpv-bash-completion/mpv-bash-completion-3.0.ebuild 
b/app-shells/mpv-bash-completion/mpv-bash-completion-3.0.ebuild
new file mode 100644
index 0000000..85c9b89
--- /dev/null
+++ b/app-shells/mpv-bash-completion/mpv-bash-completion-3.0.ebuild
@@ -0,0 +1,40 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit bash-completion-r1
+
+DESCRIPTION="Bash completion for the mpv video player"
+HOMEPAGE="https://2ion.github.io/mpv-bash-completion/";
+SRC_URI="https://github.com/2ion/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="luajit"
+
+COMMON_DEPEND="media-video/mpv[cli]"
+DEPEND="${COMMON_DEPEND}
+       !luajit? ( dev-lang/lua:* )
+       luajit? ( dev-lang/luajit:2 )
+"
+RDEPEND="${COMMON_DEPEND}
+       >=app-shells/bash-completion-2.3-r1
+"
+
+src_prepare() {
+       default_src_prepare
+       # Disable screen resolution autodetection via xrandr.
+       sed -i -e '/x11ResList/{N;d;}' -e 's|, "Dimen"||' gen.lua || die
+}
+
+src_compile() {
+       $(usex luajit 'luajit' 'lua') gen.lua > ${PN} || die
+}
+
+src_install() {
+       einstalldocs
+       newbashcomp ${PN} mpv
+}

Reply via email to